"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

const {
  module: {
    mode
  },
  babelCustomPlugins
} = (0, _utils.getOptions)();
const isProd = mode.toLowerCase() === 'prod';

var _default = () => ({
  presets: [require.resolve('@babel/preset-env'), require.resolve('@babel/preset-react'), require.resolve('@babel/preset-typescript')],
  plugins: [[require.resolve('babel-plugin-transform-define'), isProd ? {
    __DOCS__: false
  } : {}], ...babelCustomPlugins]
});

exports.default = _default;